Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  API - 3 Ansichten Problem

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   API - 3 Ansichten Problem (223 mal gelesen)
TMS-TB
Mitglied
Konstrukteur


Sehen Sie sich das Profil von TMS-TB an!   Senden Sie eine Private Message an TMS-TB  Schreiben Sie einen Gästebucheintrag für TMS-TB

Beiträge: 26
Registriert: 30.07.2012

Intel 8700K
16GB Ram
NVIDIA Quadro 4000
Solidworks 64Bit 2019 SP2.0
Win 10 64Bit

erstellt am: 06. Mai. 2019 15:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Programmiere gerade an einem Programm, was automatisch Zeichnungen erstellt und speichert. Nun soll soll mit dem Befehl:
boolstatus = Part.Create3rdAngleViews("c:\blablabla")

3 Standardansichten erstellt werden. Macht er auch und zwar:
- Vorderansicht
- Seitenansicht von rechts
- Ansicht von unten??????

Warum Ansicht von unten? Rufe ich den Befehl ganz normal in SW auf:
- Vorderansicht
- Seitenansicht von rechts
- Ansicht von oben

Kennt jemand den Grund?

[Diese Nachricht wurde von TMS-TB am 06. Mai. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Carsten1210
Mitglied
staatl. geprüfter Holztechniker


Sehen Sie sich das Profil von Carsten1210 an!   Senden Sie eine Private Message an Carsten1210  Schreiben Sie einen Gästebucheintrag für Carsten1210

Beiträge: 1321
Registriert: 24.07.2002

AutoCAD ACA 2019
Solidworks 2019 Sp2
Enterprise PDM 2019 Sp2
Pascam Woodworks
Visual Studio 2017 Pro
Windows 10 64Bit
Dell T3620
Intel Core i7-7700K
16 GB Arbeitsspeicher
2x Dell Ultrasharp U2415
Dell M4800

erstellt am: 06. Mai. 2019 16:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TMS-TB 10 Unities + Antwort hilfreich

Hi,

Die brauchst die "Create1stAngleViews2" Methode.
"Create3rdAngleViews" bringt das Ergebnis welches du hast.

Gruß, Carsten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

TMS-TB
Mitglied
Konstrukteur


Sehen Sie sich das Profil von TMS-TB an!   Senden Sie eine Private Message an TMS-TB  Schreiben Sie einen Gästebucheintrag für TMS-TB

Beiträge: 26
Registriert: 30.07.2012

Intel 8700K
16GB Ram
NVIDIA Quadro 4000
Solidworks 64Bit 2019 SP2.0
Win 10 64Bit

erstellt am: 07. Mai. 2019 07:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Carsten funktioniert. Hätte man auch selber drauf kommen können mit dem "3rdAngle" drinnen. Aber nochmal eine Frage: Ich habe das Makro testweise aufgezeichnet und den Befehl mit 1 Winkel durchgespielt und  es wurde ja mit dem Create3rdAngleViews abgespeichert. Ist doch auch nicht korrekt oder irre ich mich da.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Carsten1210
Mitglied
staatl. geprüfter Holztechniker


Sehen Sie sich das Profil von Carsten1210 an!   Senden Sie eine Private Message an Carsten1210  Schreiben Sie einen Gästebucheintrag für Carsten1210

Beiträge: 1321
Registriert: 24.07.2002

AutoCAD ACA 2019
Solidworks 2019 Sp2
Enterprise PDM 2019 Sp2
Pascam Woodworks
Visual Studio 2017 Pro
Windows 10 64Bit
Dell T3620
Intel Core i7-7700K
16 GB Arbeitsspeicher
2x Dell Ultrasharp U2415
Dell M4800

erstellt am: 07. Mai. 2019 07:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TMS-TB 10 Unities + Antwort hilfreich

Hi,

Was hast du genau gemacht?!
Du hast ein Makro aufgezeichnet während du die drei Ansichten von Hand über das Userinterface ausgeführt hast?!

Gruß, Carsten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

TMS-TB
Mitglied
Konstrukteur


Sehen Sie sich das Profil von TMS-TB an!   Senden Sie eine Private Message an TMS-TB  Schreiben Sie einen Gästebucheintrag für TMS-TB

Beiträge: 26
Registriert: 30.07.2012

Intel 8700K
16GB Ram
NVIDIA Quadro 4000
Solidworks 64Bit 2019 SP2.0
Win 10 64Bit

erstellt am: 07. Mai. 2019 07:47    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

In der Zeichnung den Befehl "Standard 3 Ansichten" ausgführt und er schreibt in das Makro den Befehl "Create3rdAngleViews" obwohl es der 1. Winkel ist. Gerade nochmal getestet:
Dim swApp As Object

Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long

Sub main()

Set swApp = Application.SldWorks

Set Part = swApp.ActiveDoc
boolstatus = Part.Create3rdAngleViews("C:\Users\Name\Desktop\SW\004012222-00.SLDPRT")
End Sub

[Diese Nachricht wurde von TMS-TB am 07. Mai. 2019 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Carsten1210
Mitglied
staatl. geprüfter Holztechniker


Sehen Sie sich das Profil von Carsten1210 an!   Senden Sie eine Private Message an Carsten1210  Schreiben Sie einen Gästebucheintrag für Carsten1210

Beiträge: 1321
Registriert: 24.07.2002

AutoCAD ACA 2019
Solidworks 2019 Sp2
Enterprise PDM 2019 Sp2
Pascam Woodworks
Visual Studio 2017 Pro
Windows 10 64Bit
Dell T3620
Intel Core i7-7700K
16 GB Arbeitsspeicher
2x Dell Ultrasharp U2415
Dell M4800

erstellt am: 07. Mai. 2019 08:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für TMS-TB 10 Unities + Antwort hilfreich

Hi,

Den Makrorekorder nutze ich so gut wie nie, meist nimmt der nicht alles auf und scheinbar so wie es hier aussieht auch nicht immer korrekt.

Gruß, Carsten

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

TMS-TB
Mitglied
Konstrukteur


Sehen Sie sich das Profil von TMS-TB an!   Senden Sie eine Private Message an TMS-TB  Schreiben Sie einen Gästebucheintrag für TMS-TB

Beiträge: 26
Registriert: 30.07.2012

Intel 8700K
16GB Ram
NVIDIA Quadro 4000
Solidworks 64Bit 2019 SP2.0
Win 10 64Bit

erstellt am: 07. Mai. 2019 09:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Nutze den normalerweise auch nicht, nur wenn ich mal nicht weiß wie ein Befehl heißt und finde den auf die Schnelle in der Hilfe nicht. So als kleine Hilfe, bin ja noch nicht so lange in SW-API unterwegs 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz